Page MenuHomePhabricator

Remove EventLogging code from RelatedArticles
Closed, ResolvedPublic2 Story Points

Description

The Schema:RelatedArticles has been disabled for some time and should be removed

Acceptance criteria

  • Remove module ext.relatedArticles.readMore.eventLogging
  • Remove the 2 calls to ext.relatedArticles.logReady and ext.relatedArticles.logEnabled
  • Remove wgRelatedArticlesEnabledBucketSize (php config, documentation and JS usage)

QA steps

Verify that related articles shows on the beta cluster (https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Related_Articles_2&mobileaction=toggle_view_mobile)
On https://en.wikivoyage.beta.wmflabs.org/wiki/Tokushima it should show on desktop.

Sign off steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2018, 4:44 PM
ovasileva triaged this task as Normal priority.Aug 21 2018, 7:47 AM
Jdlrobson updated the task description. (Show Details)Aug 21 2018, 4:39 PM
Jdlrobson updated the task description. (Show Details)Aug 21 2018, 4:43 PM
Jdlrobson set the point value for this task to 2.

Change 460410 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/RelatedArticles@master] Remove EventLogging/A-B test code from RelatedArticles

https://gerrit.wikimedia.org/r/460410

phuedx removed a subscriber: phuedx.Sep 20 2018, 5:16 PM

Change 460410 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Remove EventLogging/A-B test code from RelatedArticles

https://gerrit.wikimedia.org/r/460410

Jdlrobson updated the task description. (Show Details)Sep 24 2018, 8:46 PM

Change 462573 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Remove dead config relating to wgRelatedArticlesEnabledBucketSize

https://gerrit.wikimedia.org/r/462573

Jdlrobson removed Jdlrobson as the assignee of this task.Sep 24 2018, 8:49 PM
Jdlrobson updated the task description. (Show Details)

I've run through the QA steps myself, so I think this can skip QA. Signer off should be a developer and they will need to SWAT https://gerrit.wikimedia.org/r/462573

pmiazga claimed this task.Sep 25 2018, 5:04 PM

Most probably we cannot SWAT https://gerrit.wikimedia.org/r/462573 before Tuesday (train break), I'll check that with SWAT team, and sign-off/swat the task ASAP

Jdlrobson updated the task description. (Show Details)Sep 25 2018, 6:32 PM

I'll SWAT the change tomorrow (Oct 3rd during European swat window)

Change 462573 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove dead config relating to wgRelatedArticlesEnabledBucketSize

https://gerrit.wikimedia.org/r/462573

Mentioned in SAL (#wikimedia-operations) [2018-10-03T11:42:08Z] <pmiazga@deploy1001> Synchronized wmf-config: SWAT: [[gerrit:462573|Remove dead config relating to wgRelatedArticlesEnabledBucketSize (T202306)]] (duration: 00m 57s)

pmiazga updated the task description. (Show Details)Oct 3 2018, 11:46 AM
pmiazga updated the task description. (Show Details)Oct 3 2018, 11:55 AM

Deployed, looks ok, no dead code found.

pmiazga closed this task as Resolved.Oct 3 2018, 11:56 AM

Remove RelatedArticles schema from our dashboard (https://grafana.wikimedia.org/dashboard/db/reading-web-dashboard?orgId=1)

For completion, this wasn't done. I just did this myself just now.